{% extends 'base.html.twig' %}

{% block title %}Contenu index{% endblock %}

{% block body %}
{{ include('header_admin/header_admin.html.twig') }}

    <div class="container-full text-center">
        <h2 class="mt-4">Contenu index</h2>
    </div>

    <div class="container">
        <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Text</th>
                <th>Image</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
        {% for contenu in contenus %}
            <tr>
                <td>{{ contenu.id }}</td>
                <td>{{ contenu.text }}</td>
                <td><img src="{{ contenu.image }}" alt="photo du contenu" width="300px" height="200px"></td>
                <td>
                    <a class="btn btn-warning btn-sm" href="{{ path('app_contenu_edit', {'id': contenu.id}) }}">Éditer</a>
                    {{ include('contenu/_delete_form.html.twig') }}
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="4">Auncun contenu présent dans la base de donnée</td>
            </tr>
        {% endfor %}
        </tbody>
        </table>
    </div>

        <div class="container-full d-flex justify-content-center">
             <a class="btn btn-dark mb-4" href="{{ path('app_contenu_new') }}">Nouveau contenu</a>
        </div>
    {{ include('footer/footer.html.twig') }}
{% endblock %}
